﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Collections.Specialized;

namespace ClearSelectionOnGrouping
{
    public class GridSelectionControllerExt : GridSelectionController
    {
        SfDataGrid dataGrid;
        public GridSelectionControllerExt(SfDataGrid grid) : base(grid)
        {
            dataGrid = grid;
        }

        protected override void ProcessOnGroupChanged(NotifyCollectionChangedEventArgs args)
        {
            if (dataGrid.SelectionMode == GridSelectionMode.None)
                return;
            else
                dataGrid.ClearSelections(false);            
        }
    }
}
