﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ClearSelectionOnGrouping
{
    public class ViewModel : INotifyPropertyChanged
    {

        private ObservableCollection<DataModel> myVar;

        public ObservableCollection<DataModel> MyProperty
        {
            get { return myVar; }
            set { myVar = value; }
        }
        private DateTime delay=new DateTime();

        public DateTime Delay
        {
            get { return delay; }
            set { delay = value; Debug.WriteLine("Delay:{0}", Delay); }
        }
        public ViewModel()
        {
            MyProperty = new ObservableCollection<DataModel>();
            MyProperty.Add(new DataModel() { CustomerName = "Thomas", ProductID = 212 });
            MyProperty.Add(new DataModel() { CustomerName = "Vincent", ProductID = 675 });
            MyProperty.Add(new DataModel() { CustomerName = "John", ProductID = 156 });
            MyProperty.Add(new DataModel() { CustomerName = "Albert", ProductID = 234 });
            MyProperty.Add(new DataModel() { CustomerName = "Lincon", ProductID = 112 });
            MyProperty.Add(new DataModel() { CustomerName = "James", ProductID = 110 });
        }
        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string propName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }
    }
}
